# Turbo TUSMO

Programme pour résolution de Tusmo.

## Usage

### Dépendances

- deno
    - windows `winget install --id=DenoLand.Deno -e`
    - ubuntu / debian `sudo snap install deno`
    - archlinux `sudo pacman -S deno`

### Simulation

```sh
./src/simulation.ts -h
# Usage: simulation
# 
# Description:
# 
#   Program to simulate TUSMO game with guesser controller.
# 
# Options:
# 
#   -h, --help              - Show this help.                                                                     
#   -f, --file    <path>    - Sets dictionnary to use words from (defaults to internal french dict).              
#   -n, --length  <length>  - Length of the word to use from the dictionnary.                         (Default: 6)
#   -w, --wait    <wait>    - Time to wait between guesses, in ms.                                    (Default: 0)
```
